- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

GSmtp::NewMessage Member List

This is the complete list of members for GSmtp::NewMessage, including all inherited members.

addText(const std::string &line)=0 | GSmtp::NewMessage | pure virtual
addTo(const std::string &to, bool local)=0 | GSmtp::NewMessage | pure virtual
commit()=0 | GSmtp::NewMessage | pure virtual
id() const =0 | GSmtp::NewMessage | pure virtual
prepare(const std::string &auth_id, const std::string &peer_socket_address, const std::string &peer_socket_name, const std::string &peer_certificate)=0 | GSmtp::NewMessage | pure virtual
~NewMessage() | GSmtp::NewMessage | virtual